wipaytemplate
=============

A generator for wipay ecommerce templates that checkout with wipay

[![oclif](https://img.shields.io/badge/cli-oclif-brightgreen.svg)](https://oclif.io)
[![Version](https://img.shields.io/npm/v/wipaytemplate.svg)](https://npmjs.org/package/wipaytemplate)
[![Downloads/week](https://img.shields.io/npm/dw/wipaytemplate.svg)](https://npmjs.org/package/wipaytemplate)
[![License](https://img.shields.io/npm/l/wipaytemplate.svg)](https://github.com/VersionOneStudio/wipaytemplate/blob/master/package.json)

<!-- toc -->
* [Usage](#usage)
* [Commands](#commands)
<!-- tocstop -->
# Usage
<!-- usage -->
```sh-session
$ npm install -g wipaytemplate
$ wipaytemplate COMMAND
running command...
$ wipaytemplate (-v|--version|version)
wipaytemplate/1.0.3 darwin-x64 node-v12.18.1
$ wipaytemplate --help [COMMAND]
USAGE
  $ wipaytemplate COMMAND
...
```
<!-- usagestop -->
# Commands
<!-- commands -->
* [`wipaytemplate hello`](#wipaytemplate-hello)
* [`wipaytemplate help [COMMAND]`](#wipaytemplate-help-command)
* [`wipaytemplate init`](#wipaytemplate-init)

## `wipaytemplate hello`

Describe the command here

```
USAGE
  $ wipaytemplate hello

OPTIONS
  -n, --name=name  name to print

DESCRIPTION
  ...
  Extra documentation goes here
```

_See code: [src/commands/hello.js](https://github.com/Version-One-Studio/wipaytemplate/blob/v1.0.3/src/commands/hello.js)_

## `wipaytemplate help [COMMAND]`

display help for wipaytemplate

```
USAGE
  $ wipaytemplate help [COMMAND]

ARGUMENTS
  COMMAND  command to show help for

OPTIONS
  --all  see all commands in CLI
```

_See code: [@oclif/plugin-help](https://github.com/oclif/plugin-help/blob/v3.1.0/src/commands/help.ts)_

## `wipaytemplate init`

Scaffolds a wipay ecommerce template with checkout

```
USAGE
  $ wipaytemplate init

OPTIONS
  -a, --apiKey=apiKey                                admin api key for private app
  -p, --password=password                            admin password for api key
  -s, --storefrontAccessToken=storefrontAccessToken  Your shopify storefront access token
  -s, --shopName=shopName                            Name of your shopify store
  -t, --template=template                            Ecommerce template to install

DESCRIPTION
  ...
  Extra documentation goes here
```

_See code: [src/commands/init.js](https://github.com/Version-One-Studio/wipaytemplate/blob/v1.0.3/src/commands/init.js)_
<!-- commandsstop -->
